Product Details
Retrieves the details about the product for a given product id
Path Parameters
Query Parameters
Unique id to identify manufacturer
- 200
- 422
Successful Response
Schema
- Array [
- ]
- Array [
- ]
- Array [
- ]
- Array [
- ]
- Array [
- ]
- Array [
- Array [
- ]
- ]
- Array [
- Array [
- ]
- ]
- Array [
- Array [
- ]
- ]
- Array [
- Array [
- ]
- ]
errors object[]
Error Type
Error Message
data object
Brief description of the strategy
ISIN number of the strategy
Indicator whether the strategy is listed or not
S3 bucket URL of the strategy logo
Indicator whether the NRIs are allowed to invest in PMS strategy
Name of the strategy
Short name of the strategy
taxStatusAllowed object[]
System generated unique id to identify a mapping between the strategy and allowed tax status
Tax status for which the strategy is allowed for investment
feeDetails object[]
System generated unique id of a fee added to a strategy
System generated unique id to identify a product/strategy
Unique fee code as defined by AMC
Brief description of the fee type
Fee name as defined by the AMC
Fee rate as entered by the AMC user
Fee type as pre-defined by the AMC
Fee type id
stpDetails object
childGetService object[]
sipDetails object
childGetService object[]
customFieldDetails object
groupDetails object
generalSectionList object[]
answerList object[]
firstHolderList object[]
answerList object[]
secondHolderList object[]
answerList object[]
thirdHolderList object[]
answerList object[]
{
"reqId": "string",
"errors": [
{
"errorType": "string",
"errorMessage": "string"
}
],
"data": {
"productDescription": "string",
"productISIN": "string",
"productListed": true,
"productLogoURL": "string",
"productNRIAllowed": true,
"productName": "string",
"productShortName": "string",
"minAmount": 0,
"maxAmount": 0,
"taxStatusAllowed": [
{
"productTaxMapId": 0,
"taxStatusId": "string"
}
],
"feeDetails": [
{
"feesId": 0,
"productId": 0,
"manufacturerFeeCode": "string",
"manufacturerFeeDesc": "string",
"manufacturerFeeName": "string",
"manufacturerFeeRate": 0,
"manufacturerFeeType": "string",
"manufacturerFeeTypeId": 0
}
],
"stpDetails": {
"productSTPId": 0,
"productName": "string",
"productSTPDays": "string",
"childGetService": [
{
"productStpFrequencyId": 0,
"productStpFrequencyName": "string",
"productStpMinSubsequentAmount": 0,
"productStpMaxSubsequentAmount": 0,
"productStpMinTenure": 0,
"productStpMaxTenure": 0
}
],
"stpminAmtFirst": 0
},
"sipDetails": {
"productSIPId": 0,
"productName": "string",
"productSIPDays": "string",
"sipVia": "string",
"drawDownType": "string",
"percentageOfCommitmentAmount": "string",
"childGetService": [
{
"sipFrequencyId": 0,
"sipFrequencyName": "string",
"sipMinAmount": 0,
"sipMaxAmount": 0
}
]
},
"customFieldDetails": {
"groupDetails": {
"customFieldGroupId": 0,
"customFieldGroupCode": "string",
"customFieldGroupName": "string",
"customFieldTitle": "string",
"journeyType": "string"
},
"generalSectionList": [
{
"answerType": "string",
"generalOrHolderSection": "string",
"holderSequence": true,
"questionDisplaySequence": 0,
"question": "string",
"questionId": 0,
"journeyCategory": "string",
"answerList": [
{
"answer": "string",
"answerId": 0,
"checkBox": true
}
]
}
],
"firstHolderList": [
{
"answerType": "string",
"generalOrHolderSection": "string",
"holderSequence": true,
"questionDisplaySequence": 0,
"question": "string",
"questionId": 0,
"journeyCategory": "string",
"answerList": [
{
"answer": "string",
"answerId": 0,
"checkBox": true
}
]
}
],
"secondHolderList": [
{
"answerType": "string",
"generalOrHolderSection": "string",
"holderSequence": 0,
"mandatoryOrNot": true,
"question": "string",
"questionDisplaySequence": 0,
"questionId": 0,
"journeyCategory": "string",
"answerList": [
{
"answer": "string",
"answerId": 0,
"checkBox": true
}
]
}
],
"thirdHolderList": [
{
"answerType": "string",
"generalOrHolderSection": "string",
"holderSequence": 0,
"mandatoryOrNot": true,
"questionDisplaySequence": 0,
"question": "string",
"questionId": 0,
"journeyCategory": "string",
"answerList": [
{
"answer": "string",
"answerId": 0,
"checkBox": true
}
]
}
]
}
}
}
Validation Error
Schema
- Array [
- Array [
- ]
- ]
detail object[]
loc object[] required
string
integer
{
"detail": [
{
"loc": [
"string",
0
],
"msg": "string",
"type": "string"
}
]
}